%define upstream_name    MouseX-NativeTraits
%define upstream_version 1.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    Provides methods for ArrayRef
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mouse/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Any::Moose) >= 0.130.0
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.590.0
BuildRequires: perl(inc::Module::Install)
BuildRequires: perl(Mouse) >= 0.820.0
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.880.0
BuildArch:  noarch

%description
While the Mouse manpage attributes provide a way to name your accessors,
readers, writers, clearers and predicates, MouseX::NativeTraits provides
commonly used attribute helper methods for more specific types of data.

As seen in the the /SYNOPSIS manpage, you specify the data structure via
the 'traits' parameter. These traits will be loaded automatically, so you
need not load MouseX::NativeTraits explicitly.

This extention is compatible with Moose native traits, although it is not a
part of Mouse core.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.yml MYMETA.yml README example
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.90.0-12.mga8
+ Revision: 1505488
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Thu Sep 20 2018 umeabot <umeabot> 1.90.0-11.mga7
+ Revision: 1285101
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 1.90.0-10.mga7
+ Revision: 1165757
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.90.0-9.mga7
+ Revision: 1159221
- add BR on perl(inc::Module::Install)

* Sun Jun 19 2016 pterjan <pterjan> 1.90.0-8.mga6
+ Revision: 1030736
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.90.0-7.mga6
+ Revision: 948437
- Mageia 6 Mass Rebuild

* Sat Oct 18 2014 umeabot <umeabot> 1.90.0-6.mga5
+ Revision: 787849
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 1.90.0-5.mga5
+ Revision: 739396
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.90.0-4.mga5
+ Revision: 685601
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.90.0-3.mga4
+ Revision: 513374
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.90.0-2.mga3
+ Revision: 370379
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.90.0-1.mga3
+ Revision: 342422
- update to 1.09

* Tue Nov 06 2012 jquelin <jquelin> 1.80.0-1.mga3
+ Revision: 315193
- update to 1.08

* Thu Dec 08 2011 kharec <kharec> 1.70.0-1.mga2
+ Revision: 179225
- update to 1.07

* Fri Dec 02 2011 kharec <kharec> 1.50.0-1.mga2
+ Revision: 175183
- update to 1.05

* Sun Apr 03 2011 jquelin <jquelin> 1.40.0-1.mga1
+ Revision: 80116
- imported package perl-MouseX-NativeTraits


* Sun Apr 03 2011 cpan2dist 1.04-1mga
- initial mageia release, generated with cpan2dist
